# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
BuildRequires(pre): rpm-macros-qt6-webengine
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		algobox
Version:	1.1.1
Release:	alt1_2
Summary:	Algorithmic software
License:	GPLv2
Group:		Education
Url:		https://www.xm1math.net/algobox/
Source:		https://www.xm1math.net/algobox/%{name}-%{version}.tar.bz2
Patch0:		algobox-1.1.1-mga-fix-desktop-and-svg-install.patch

BuildRequires:	qt6-base-devel
BuildRequires:	qt6-5compat-devel
BuildRequires:	qt6-base-devel
BuildRequires:	qt6-webengine-devel
BuildRequires:	qt6-base-devel
BuildRequires:	qt6-base-devel
BuildRequires:	qt6-base-devel
BuildRequires:	qt6-base-devel
Source44: import.info
ExclusiveArch: %qt6_qtwebengine_arches

%description
Algobox is an initiation software to algorithmic to high school level.


%prep
%setup -q
%patch0 -p1


%build
%qmake_qt6 %{name}.pro
%make_build

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

%files
%doc utilities/AUTHORS
%doc utilities/CHANGELOG.txt
%doc --no-dereference utilities/COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/mime/packages/x-%{name}.xml
%{_metainfodir}/%{name}.metainfo.xml


%changelog
* Tue Oct 03 2023 Igor Vlasenko <viy@altlinux.org> 1.1.1-alt1_2
- update

* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.0.3-alt1_3
- update by mgaimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_2
- update by mgaimport

* Thu Apr 09 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_1
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_5
- update by mgaimport

* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_4
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_3
- update by mgaimport

* Thu Jun 07 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_2
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_1
- new version

